View Issue Details

IDProjectCategoryView StatusLast Update
0008207mantisbtsqlpublic2014-12-08 00:34
ReportergrangewayAssigned Tograngeway 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0008207: mantis_project_hierarchy_table allows duplicate rows
Description

mysql> select * from mantis_project_hierarchy_table
-> ;
+----------+-----------+
| child_id | parent_id |
+----------+-----------+
| 4 | 1 |
| 4 | 1 |
| 4 | 1 |
+----------+-----------+
3 rows in set (0.00 sec)

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

grangeway

grangeway

2008-05-13 15:58

reporter   ~0017823

.

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036382

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 2da37dbb

2014-05-01 18:17:17

Paul Richards

Details Diff
Fixes 0008207 mantis_project_hierarchy_table allows duplicate rows

This fixes a possible issue where the project hierarchy table can contain duplicate entries, by adding a unique index on the table
mod - admin/schema.php Diff File
mod - core/install_helper_functions_api.php Diff File

MantisBT: master 63ee2cd9

2014-05-12 16:02:31

grangeway

Details Diff
Merge pull request 0000171 from grangeway/schema

Fixes 0008207 mantis_project_hierarchy_table allows duplicate rows
This fixes a possible issue where the project hierarchy table can contain duplicate entries, by adding a unique index on the table
mod - admin/schema.php Diff File
mod - core/install_helper_functions_api.php Diff File

Issue History

Date Modified Username Field Change
2007-07-28 05:52 grangeway New Issue
2008-05-13 15:58 grangeway Note Added: 0017823
2012-02-25 17:32 grangeway Status new => resolved
2012-02-25 17:32 grangeway Fixed in Version => 1.3.0-beta.1
2012-02-25 17:32 grangeway Resolution open => fixed
2012-02-25 17:32 grangeway Assigned To => grangeway
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036382
2013-04-05 18:15 grangeway Relationship added related to 0015721
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-04-27 17:02 atrol Status resolved => assigned
2013-04-27 17:02 atrol Resolution fixed => open
2013-04-27 17:02 atrol Fixed in Version 1.3.0-beta.1 =>
2014-05-12 16:02 Changeset attached => MantisBT master 2da37dbb
2014-05-12 16:02 grangeway Changeset attached => MantisBT master 63ee2cd9
2014-05-12 16:02 grangeway Status assigned => resolved
2014-05-12 16:02 grangeway Resolution open => fixed
2014-05-12 16:02 grangeway Fixed in Version => 1.3.0-beta.1
2014-05-17 09:12 atrol Target Version => 1.3.0-beta.1
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed